Skip to main content
POST
Create text completion
這是一個舊版端點。對於大多數使用案例,請改用聊天補全。

請求主體

string
必填
要使用的模型 ID。
string | string[]
必填
要生成補全的提示。
integer
預設值:16
要生成的最大 token 數。
number
預設值:1
取樣溫度,介於 0 到 2 之間。
number
預設值:1
核取樣參數。
string | string[]
停止序列。
string
附加在補全之後的文字。

回應

範例

授權

Authorization
string
header
必填

API key authentication. Pass your OpenModex API key as a Bearer token in the Authorization header: Authorization: Bearer omx_sk_...

主體

application/json

Request body for creating a text completion (legacy).

model
string
必填

ID of the model to use.

prompt
必填

The prompt(s) to generate completions for.

max_tokens
integer

The maximum number of tokens to generate.

temperature
number

Sampling temperature between 0 and 2.

top_p
number

Nucleus sampling parameter.

n
integer

How many completions to generate for each prompt.

stream
boolean
預設值:false

Whether to stream back partial progress via SSE.

stop

Up to 4 sequences where the API will stop generating further tokens.

frequency_penalty
number

Penalizes new tokens based on their existing frequency in the text.

presence_penalty
number

Penalizes new tokens based on whether they appear in the text so far.

logit_bias
object

Modify the likelihood of specified tokens appearing in the completion.

suffix
string

The suffix that comes after a completion of inserted text.

user
string

A unique identifier representing your end-user.

routing
object

Configuration for intelligent request routing.

回應

Text completion response.

Response from a text completion request.

id
string

A unique identifier for the completion.

object
enum<string>

The object type, always 'text_completion'.

可用選項:
text_completion
created
integer

Unix timestamp (in seconds) of when the completion was created.

model
string

The model used for the completion.

choices
object[]

A list of completion choices.

usage
object

Token usage statistics for a completion request.

openmodex
object

OpenModex-specific metadata included in completion responses.